{% extends 'base.html' %}

{% block content %}





    <!-- START MENU DESIGN AREA -->
    <header class="welcome-area">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <!-- START LOGO DESIGN AREA -->
                    <div class="logo text-center">
                        <a href="{{ url_for('home') }}">
                            <img src="{{ url_for('static', filename= 'images/logo.png') }}" alt="">
                        </a>
                    </div>
                    <!-- END LOGO DESIGN AREA -->
                </div>
            </div>
            <div class="row menu-border">
                <div class="col-md-9 col-xs-12">
                    <!-- START MENU DESIGN AREA -->
                    <div class="mainmenu">
                        <div class="navbar navbar-nobg">
                            <div class="navbar-header">
                                <button type="button" class="navbar-toggle" data-toggle="collapse"
                                        data-target=".navbar-collapse">
                                    <span class="sr-only">Toggle navigation</span>
                                    <span class="icon-bar"></span>
                                    <span class="icon-bar"></span>
                                    <span class="icon-bar"></span>
                                </button>
                            </div>
                            <div class="navbar-collapse collapse">
                                <ul class="nav navbar-nav navbar-left">
                                    <li class="active"><a class="smooth-scroll" href="{{ url_for('recipes') }}">ALL
                                        <div class="ripple-wrapper"></div>
                                    </a>
                                    </li>
                                    <li><a class="smooth-scroll" href="{{ url_for('rice') }}">RICE </a></li>
                                    <li><a class="smooth-scroll" href="{{ url_for('vegetarian') }}">VEGETARIAN</a></li>
                                    <li><a class="smooth-scroll"
                                           href="{{ url_for('non_vegetarian') }}">NON-VEGETARIAN</a>
                                    </li>
                                    <li><a class="smooth-scroll" href="{{ url_for('desserts') }}">DESSERTS</a></li>
                                    <li><a class="smooth-scroll" href="{{ url_for('snacks') }}">SNACKS</a></li>
                                    <li><a class="smooth-scroll" href="{{ url_for('drinks') }}">DRINKS</a></li>
                                    <li><a class="smooth-scroll" href="{{ url_for('spicepentry') }}">SPICE PANTRY</a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <!-- END MENU DESIGN AREA -->
                </div>
                <div class="col-md-3 col-xs-12">
                    <div class="search-area">
                        <form class="form-inline" action="{{ url_for('search_api') }}" method="POST"
                              enctype="multipart/form-data">
                            <input class="form-control" type="search" name="searchstring" placeholder="Search"
                                   aria-label="Search" required>
                            <button class="btn btn-outline-success my-2 my-sm-0" type="submit"><i
                                    class="fa fa-search"></i>
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <!-- / END MENU DESIGN AREA -->

    <!-- START SIGN UP DESIGN AREA -->
    <section class="login-area section-padding">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="section-title">
                        <h2>My recipes - ADD RECIPES</h2>
                    </div>
                </div>
            </div>
            <div class="row">
                <!-- START ACCOUNT DESIGN AREA -->
                <div class="col-md-6 col-md-offset-3">
                    <div class="single-account">
                        <form action="{{ url_for('add_recipes') }}" method="POST" enctype="multipart/form-data">
                            <div class="form-group">
                                <label for="formGroupExampleInput">RECIPE NAME </label>
                                <input type="text" name="recepiename" class="form-control" id="formGroupExampleInput"
                                       placeholder="" required>
                            </div>

                            <div class="form-group">
                                <label for="exampleFormControlSelect1">CATEGORY </label>
                                <select class="form-control" name="category" id="exampleFormControlSelect1">
                                    <option>SELECT CATEGORY</option>
                                    <option>RICE</option>
                                    <option>VEGETARIAN</option>
                                    <option>NON-VEGETARIAN</option>
                                    <option>DESSERTS</option>
                                    <option>SNACKS</option>
                                    <option>DRINKS</option>
                                    <option>SPICE-PANTRY</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="formGroupExampleInput">DESCRIPTION </label>
                                <!--                                <input type="text" name="description" class="form-control" id="formGroupExampleInput" placeholder="">-->
                                <textarea name="description" class="form-control" id="formGroupExampleInput"
                                          placeholder="" required></textarea>
                                <small class="form-text text-muted">SHORT DESCRIPTION OF MAXIMUM 150 CHARACTERS </small>
                            </div>

                            <div class="form-group">
                                <label for="formGroupExampleInput">IMAGE URL (if any)</label>
                                <input type="text" name="imageurl" class="form-control" id="formGroupExampleInput"
                                       placeholder="">
                                <small class="form-text text-muted">PLEASE USE A VALID URL </small>
                            </div>

                            <div class="form-group">
                                <label for="formGroupExampleInput">IMAGE FILE </label>
                                <input type="file" name="imagefile" class="form-control" id="formGroupExampleInput"
                                       placeholder="">
                                <small class="form-text text-muted">IAMGE SIZE < 1 MB </small>
                            </div>

                            <div class="form-group">
                                <label for="formGroupExampleInput">SERVINGS </label>
                                <!--                                <input type="text" name="servings" class="form-control" id="formGroupExampleInput" placeholder="">-->
                                <textarea name="servings" class="form-control" id="formGroupExampleInput"
                                          placeholder="" required></textarea>
                                <small class="form-text text-muted">EXAMPLE: 4</small>
                            </div>

                            <div class="form-group">
                                <label for="formGroupExampleInput">PREPARATION TIME </label>
                                <input type="text" name="preparationtime" class="form-control"
                                       id="formGroupExampleInput"
                                       placeholder="" required>
                                <small class="form-text text-muted">EXAMPLE 1 HOUR 40 MINUTES</small>
                            </div>

                            <div class="form-group">
                                <label for="formGroupExampleInput">COOKING TIME </label>
                                <input type="text" name="cookingtime" class="form-control" id="formGroupExampleInput"
                                       placeholder="" required>
                                <small class="form-text text-muted">EXAMPLE 1 HOUR 40 MINUTES </small>
                            </div>

                            <div class="form-group">
                                <label for="formGroupExampleInput">INGREDIENTS </label>
                                <!--                                <input type="text" name="ingredients" class="form-control" id="formGroupExampleInput" placeholder="">-->
                                <textarea name="ingredients" class="form-control" id="formGroupExampleInput"
                                          placeholder="" required></textarea>
                                <small class="form-text text-muted">WRITE EACH INGREDIENT IN A NEW LINE </small>
                            </div>


                            <div class="form-group">
                                <label for="formGroupExampleInput">INSTRUCTIONS </label>
                                <!--                                <input type="text" name="instructions" class="form-control" id="formGroupExampleInput" placeholder="">-->
                                <textarea name="instructions" class="form-control" id="formGroupExampleInput"
                                          placeholder="" required></textarea>
                                <small class="form-text text-muted">WRITE EACH INSTRUCTION IN A NEW LINE </small>
                            </div>

                            <div class="form-group">
                                <label for="formGroupExampleInput">TIPS </label>
                                <!--                                <input type="text" name="tips" class="form-control" id="formGroupExampleInput" placeholder="">-->
                                <textarea name="tips" class="form-control" id="formGroupExampleInput"
                                          placeholder="" required></textarea>
                                <small class="form-text text-muted">WRITE EACH TIP IN A NEW LINE </small>
                            </div>

                            <div class="add-button">
                                <button type="submit" class="btn btn-primary">ADD RECIPES</button>
                                <button type="CANCEL" class="btn btn-primary">CANCEL</button>
                            </div>
                        </form>
                    </div>
                </div>
                <!-- / END ACCOUNT DESIGN AREA -->
            </div>
        </div>
    </section>
    <!-- / END SIGN UP DESIGN AREA -->


    <!-- START FOOTER DESIGN AREA -->
    <section class="footer-top-area section-padding">
        <div class="container">
            <div class="row">
                <div class="col-md-3 col-sm-6">

                    <!-- START QUICK LINKS DESIGN AREA -->
                    <div class="single-footer-top">
                        <h2>Quick Links</h2>
                        <div class="footer-menu">
                            <ul>
                                <li><a href="{{ url_for('home') }}">HOME</a></li>
                                <li><a href="{{ url_for('recipes') }}">ALL RECIPES</a></li>
                                <li><a href="{{ url_for('shop') }}">SHOP</a></li>
                                <li><a href="{{ url_for('login') }}">Login & Add Recipe</a></li>
                            </ul>
                        </div>
                    </div>
                    <!-- / END QUICK LINKS DESIGN AREA -->
                </div>
                <div class="col-md-3"></div>
                <div class="col-md-3"></div>

                <!-- START NEWSLATTER DESIGN AREA -->
                <div class="col-md-3 col-sm-6">
                    <div class="single-footer-top">
                        <div id="subscribe" class="newslatter text-center">
                            <h2>Newsletter</h2>

                            <p>Subscribe to our weekly Newsletter and stay tuned.</p>
                            <form action="{{ url_for('subscribe') }}" method="POST" enctype="multipart/form-data">
                                <div class="input-prepend"><span class="add-on"><i class="icon-envelope"></i></span>
                                    <input name="email" class="form-control" type="text" id="name"
                                           placeholder="your@email.com" required>
                                </div>
                                <br/>
                                <input type="submit" value="SUBSCRIBE" class="btn btn-large read-more"/>
                            </form>
                        </div>
                    </div>
                </div>
                <!-- END NEWSLATTER DESIGN AREA -->

            </div>
            <!-- START SOCIAL LINKS DESIGN AREA -->
            <div class="row social-border">
                <div class="col-md-12">
                    <div class="contact-social text-center">
                        <ul>
                            <li><a href="https://www.facebook.com/taste.india.71/" target="_blank"><i
                                    class="fa fa-facebook"></i></a></li>
                            <li><a href="https://www.instagram.com/tasteindiarecipes/" target="_blank"><i
                                    class="fa fa-instagram"></i></a></li>
                            <li><a href="https://www.pinterest.com/TasteIndiaRecipes/_saved/" target="_blank"><i
                                    class="fa fa-pinterest"></i></a></li>
                            <li><a href="https://www.linkedin.com/in/syedafatimaomer/" target="_blank"><i
                                    class="fa fa-linkedin"></i></a></li>
                            <li><a href="https://www.youtube.com/channel/UCwQKQGe-tKJGCSY-Tw3rhhA/about"
                                   target="_blank"><i
                                    class="fa fa-youtube"></i></a></li>
                            <li><a href="https://github.com/FatimasCoding2020" target="_blank"><i
                                    class="fa fa-github"></i></a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <!-- END SOCIAL LINKS DESIGN AREA -->
        </div>
    </section>

{% endblock content %}
